#
# spec file for package pbpg (Version 1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libax25
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pbpg
Copyright:    GPL
Group:        Networking/Hamradio
Autoreqprov:  on
Version:      1.5
Release:      181
Summary:      Programs to upload/download data to/from digital satellites
Source:       ftp://sunsite.unc.edu/pub/linux/apps/ham/pbpg-%{version}.tar.gz
Patch:        pb_pg-%{version}.dif
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
PB and PG for Linux are programs used for download from and upload to digital
satellites (Pacsats) supporting the FTL0 protocol. This software allows you
to directly communicate with the Microsat series of satellites. It provides a
Curses (Ncurses) based user interface. It features automatic directory fill
requests and simple, rules based file download requests.

Authors:
--------
    Bent Bagger <oz6bl@amsat.org>
    Peter Scott Bentsen <oz2aba@amsat.org>
    and others.

SuSE series: ham

%prep
%setup -n pb_pg-%{version}
%patch -p1

%build
make
cd SendKiss
make

%install
rm -rf $RPM_BUILD_ROOT
install -d examples/
cp SendKiss/*.{kss,list} examples/
install -d $RPM_BUILD_ROOT{/usr/bin/,/var/lib/pbpg/}
install -m 644 SendKiss/*.conf $RPM_BUILD_ROOT/var/lib/pbpg/
install -m 755 SendKiss/{playspeed,sendkiss} $RPM_BUILD_ROOT/usr/bin/
install -m 755 SendKiss/start-test $RPM_BUILD_ROOT/usr/bin/pbpg-start-test
mkfifo $RPM_BUILD_ROOT/var/lib/pbpg/if
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
#!/bin/bash
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/pbpg-changes
Hi, (english version)
due to a "local root exploit" announced in the BugTraq mailing list the 
binaries in this package lost its suid-bits. This means only root can 
run these programs. For a detailed description of the exploit have a look 
at
	http://www.securityfocus.com/ .
-------------------------------------------------------------------
Hi, (german version)
aufgrund der Mglichkeit, mit den Programmen "pb" und "pg" jede Datei
auf dem lokalen Rechner auslesen zu knnen, wurde das suid-Bit an diesen
Programmen entfernt. Das heit, nur root kann diese Programme ausfhren. 
Diese Sicherheitslcke wurde auf der Mailing Liste BugTraq zuerst verkndet.
Fr eine detaillierte Beschreibung des Problemes schauen Sie bitte auf 
der Website
	http://www.securityfocus.com/ .
-------------------------------------------------------------------
Thank You / Danke,
	Your / Ihr SuSE Team.
EOT

%files
%doc README TODO pbpg-%{version}.lsm examples/
%config /usr/bin/pbpg-start-test
/usr/bin/filecancel
/usr/bin/filecheck
/usr/bin/filelist
/usr/bin/filerequest
/usr/bin/runpb
/usr/bin/stoppb
/usr/bin/pb
/usr/bin/pg
/usr/bin/playspeed
/usr/bin/sendkiss
%dir /var/lib/pbpg/
/var/lib/pbpg/if
%config /var/lib/pbpg/pb.conf
%config /var/lib/pbpg/pg.conf  

%changelog -n pbpg
* Fri Mar 02 2001 - ro@suse.de
- include time.h
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Fri May 26 2000 - bubnikv@suse.cz
- new version(1.4)
- added buildroot, Group: tag
* Fri Sep 17 1999 - ka@suse.de
- update to version 1.2
- removed suid-bit (security announcement from bugtraq)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jun 25 1999 - ro@suse.de
- fixed to build with new libax25
* Thu May 20 1999 - ro@suse.de
- use proper includes for glibc-2.1
* Thu Apr 15 1999 - ka@suse.de
- update to version 1.1
* Thu Apr 15 1999 - ka@suse.de
- initial release
